=== debian/changelog ===
cppcheck (1.74-2) unstable; urgency=medium

  * Add patch 7533_va_list (Closes: #828155).

 -- Joachim Reichel <reichel@debian.org>  Mon, 27 Jun 2016 21:33:01 +0200

cppcheck (1.74-1) unstable; urgency=medium

  * New upstream release.

 -- Joachim Reichel <reichel@debian.org>  Mon, 13 Jun 2016 19:25:49 +0200
