=== Makefile ===
--- 
+++ 
@@ -107,15 +107,15 @@
 endif
 
 ifndef INCLUDE_FOR_LIB
-    INCLUDE_FOR_LIB=-Ilib -Iexternals/tinyxml
+    INCLUDE_FOR_LIB=-Ilib -Iexternals/simplecpp -Iexternals/tinyxml
 endif
 
 ifndef INCLUDE_FOR_CLI
-    INCLUDE_FOR_CLI=-Ilib -Iexternals/tinyxml
+    INCLUDE_FOR_CLI=-Ilib -Iexternals/simplecpp -Iexternals/tinyxml
 endif
 
 ifndef INCLUDE_FOR_TEST
-    INCLUDE_FOR_TEST=-Ilib -Icli -Iexternals/tinyxml
+    INCLUDE_FOR_TEST=-Ilib -Icli -Iexternals/simplecpp -Iexternals/tinyxml
 endif
 
 BIN=$(DESTDIR)$(PREFIX)/bin
@@ -170,6 +170,9 @@
               $(SRCDIR)/tokenize.o \
               $(SRCDIR)/tokenlist.o \
               $(SRCDIR)/valueflow.o
+
+EXTOBJ =      externals/simplecpp/simplecpp.o \
+              externals/tinyxml/tinyxml2.o
 
 CLIOBJ =      cli/cmdlineparser.o \
               cli/cppcheckexecutor.o \
@@ -236,12 +239,6 @@
               test/testvalueflow.o \
               test/testvarid.o
 
-ifndef TINYXML
-    TINYXML = externals/tinyxml/tinyxml2.o
-endif
-
-
-EXTOBJ += $(TINYXML)
 .PHONY: run-dmake
 
 
@@ -270,11 +267,11 @@
 run-dmake: dmake
 	./dmake
 
-reduce:	tools/reduce.o externals/tinyxml/tinyxml2.o $(LIBOBJ)
-	$(CXX) $(CPPFLAGS) $(CXXFLAGS) -g -o reduce tools/reduce.o -Ilib -Iexternals/tinyxml $(LIBOBJ) $(LIBS) externals/tinyxml/tinyxml2.o $(LDFLAGS) $(RDYNAMIC)
+reduce:	tools/reduce.o $(LIBOBJ) $(EXTOBJ)
+	$(CXX) $(CPPFLAGS) $(CXXFLAGS) -g -o reduce tools/reduce.o $(INCLUDE_FOR_LIB) $(LIBOBJ) $(LIBS) $(EXTOBJ) $(LDFLAGS) $(RDYNAMIC)
 
 clean:
-	rm -f build/*.o lib/*.o cli/*.o test/*.o tools/*.o externals/tinyxml/*.o testrunner reduce dmake cppcheck cppcheck.1
+	rm -f build/*.o lib/*.o cli/*.o test/*.o tools/*.o externals/*/*.o testrunner reduce dmake cppcheck cppcheck.1
 
 man:	man/cppcheck.1
