=== debian/changelog ===
cppcheck (1.75-1) unstable; urgency=medium

  * New upstream release (Closes: #835771).
  * Remove patch 7533_va_list (superseded upstream).
  * Update patch link-cppcheck-with-system-tinyxml and rename to
    use-system-tinyxml, update debian/rules: build and link
    externals/simplecpp, but not externals/tinyxml.
  * Enable test suite (Closes: #833142).

 -- Joachim Reichel <reichel@debian.org>  Sun, 28 Aug 2016 13:39:11 +0200
