=== debian/changelog ===
cppcheck (1.76.1-1) unstable; urgency=medium

  * New upstream release.

 -- Joachim Reichel <reichel@debian.org>  Thu, 27 Oct 2016 19:49:04 +0200
