=== debian/changelog ===
cppcheck (1.79-2build1) artful; urgency=medium

  * No-change rebuild against latest tinyxml2

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 14 Jul 2017 14:16:57 -0400

cppcheck (1.79-2) unstable; urgency=medium

  * Upload to unstable.
  * Update Standards-Version to 4.0.0 (no changes needed).

 -- Joachim Reichel <reichel@debian.org>  Sun, 09 Jul 2017 18:17:25 +0200

cppcheck (1.79-1) experimental; urgency=medium

  * New upstream release (Closes: #861594).
  * Remove patch ftbfs-g++-7 (superseded upstream).
  * Add Suggests: cppcheck-gui for cppcheck (Closes: #860395).
  * Add Depends: cppcheck for cppcheck-gui (Closes: #861311).

 -- Joachim Reichel <reichel@debian.org>  Tue, 16 May 2017 20:25:39 +0200

cppcheck (1.78-1) experimental; urgency=medium

  * New upstream release.
  * Add "export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow" to
    debian/rules.

 -- Joachim Reichel <reichel@debian.org>  Sun, 09 Apr 2017 17:56:24 +0200

cppcheck (1.77-1) experimental; urgency=medium

  * New upstream release (Closes: #842055).
  * Add patch ftbfs-g++-7 to fix FTBFS with g++-7 (Closes: #853356).
  * Remove gui/.qmake.stash in clean target.

 -- Joachim Reichel <reichel@debian.org>  Sun, 12 Feb 2017 12:31:51 +0100
