=== debian/control ===
--- 
+++ 
@@ -5,13 +5,14 @@
 Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.15.7~), xsltproc, docbook-xsl,
   docbook-xml, libpcre3-dev, libtinyxml2-dev, qt5-qmake, qtbase5-dev,
   qtbase5-dev-tools, gdb, dh-python, python-all
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Homepage: http://sourceforge.net/p/cppcheck/wiki/Home/
 X-Python-Version: >= 2.6
 
 Package: cppcheck
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, python-pygments
+Suggests: cppcheck-gui
 Description: tool for static C/C++ code analysis (CLI)
  Cppcheck is a command-line tool that tries to detect bugs that your
  C/C++ compiler doesn't see. It is versatile, and can check non-standard
