=== debian/rules ===
--- 
+++ 
@@ -4,6 +4,8 @@
 
 # for DEB_VERSION_UPSTREAM
 include /usr/share/dpkg/pkg-info.mk
+
+export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow
 
 DB2MAN      = /usr/share/sgml/docbook/stylesheet/xsl/nwalsh/manpages/docbook.xsl
 XP          = xsltproc -''-nonet -''-param man.charmap.use.subset "0"
@@ -25,7 +27,7 @@
 override_dh_auto_clean:
 	dh_auto_clean
 	[ ! -f gui/Makefile ] || $(MAKE) -C gui clean
-	rm -f gui/Makefile gui/cppcheck-gui
+	rm -f gui/Makefile gui/cppcheck-gui gui/.qmake.stash
 	rm -f debian/cppcheck-htmlreport.1
 	[ ! -d externals/tinyxml.disabled ] || mv externals/tinyxml.disabled externals/tinyxml
