=== debian/changelog ===
cppcheck (1.80-1) unstable; urgency=medium

  * New upstream release.
  * Update Standards-Version to 4.0.1 (no changes needed).

 -- Joachim Reichel <reichel@debian.org>  Thu, 17 Aug 2017 13:11:58 +0200
