=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.15.7~), xsltproc, docbook-xsl,
   docbook-xml, libpcre3-dev, libtinyxml2-dev, qt5-qmake, qtbase5-dev,
   qtbase5-dev-tools, gdb, dh-python, python-all
-Standards-Version: 4.0.0
+Standards-Version: 4.0.1
 Homepage: http://sourceforge.net/p/cppcheck/wiki/Home/
 X-Python-Version: >= 2.6
